> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withsutro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of API Clients

> Returns a list of all of the API Clients defined for a Customer




## OpenAPI

````yaml /uapi.yaml get /api_clients
openapi: 3.1.0
info:
  version: 0.0.1
  title: User management API
  description: This API is for managing organization members and builders for the Sutro API
servers: []
security: []
tags:
  - name: configuration
    description: Configuration of the platform for your members and builders
  - name: members
    description: >-
      Members are the individuals that a Customer wants to provide with access
      to the Sutro Console
  - name: builders
    description: >-
      Builders are a Customer's users; they are the ones who are building apps
      with a Customer's platform
  - name: certificates
    description: >-
      Certificates are use for signing & verifying access tokens, as well as for
      securing mTLS connections
  - name: api_clients
    description: API Clients must be registered and associated with an mTLS certificate
paths:
  /api_clients:
    get:
      tags:
        - api_clients
      summary: Get a list of API Clients
      description: |
        Returns a list of all of the API Clients defined for a Customer
      operationId: getApiClients
      parameters:
        - name: offset
          in: query
          schema:
            type: integer
            minimum: 0
          description: >-
            The number of items to skip before starting to collect the result
            set
        - name: count
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 20
          description: The number of items to return
      responses:
        '200':
          $ref: '#/components/responses/ApiClientsPage'
components:
  responses:
    ApiClientsPage:
      description: A page of API Clients
      content:
        application/json:
          schema:
            type: object
            required:
              - data
              - count
              - total
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/ApiClient'
              count:
                type: number
              total:
                type: number
  schemas:
    ApiClient:
      type: object
      required:
        - id
        - identifier
        - name
        - customerId
      properties:
        id:
          type: string
          format: uuid
        identifier:
          type: string
          minLength: 32
          maxLength: 32
        name:
          type: string
        customerId:
          type: string
          format: uuid
        certificateId:
          type: string
          format: uuid

````